## octonet 12.0.5

=== debian/changelog ===
octonet (12.0.5-1) bookworm; urgency=medium

  * Allow forcing a password change for any kind of user.

 -- Elena Grandi <elena@truelite.it>  Wed, 18 Feb 2026 13:28:09 +0100

octonet (12.0.4-2) bookworm; urgency=medium

  * Bump dependencies on python3-octofussd version.

 -- Elena Grandi <elena@truelite.it>  Mon, 16 Sep 2024 15:15:08 +0200

octonet (12.0.4-1) bookworm; urgency=medium

  * Adding exception to block sustem group removal

 -- Simone Piccardi <piccardi@truelite.it>  Mon, 16 Sep 2024 15:09:47 +0200

octonet (12.0.3-1) bookworm; urgency=medium

  * Version bump

 -- Paolo Dongilli <dongilli@fuss.bz.it>  Fri, 08 Mar 2024 09:18:05 +0100

octonet (12.0.2-1) bookworm; urgency=medium

  * Added button to empty a cluster
  * Added button to empty a printer domain

 -- Marco Marinello <mmarinello@fuss.bz.it>  Wed, 06 Mar 2024 18:46:27 +0100

octonet (12.0.1-1) bookworm; urgency=medium

  * Fix ordering of fields in the DHCP leases with modern django.

 -- Elena Grandi <valhalla@debian.org>  Tue, 17 Jan 2023 12:12:39 +0100

octonet (10.0.10-1) buster; urgency=medium

  * Use load static instead of load staticfiles (deprecated in django 2.1).

 -- Elena Grandi <elena@truelite.it>  Wed, 04 Jan 2023 12:07:20 +0100

octonet (10.0.9-1) buster; urgency=medium

  * Remove the use of six: python2 has not been supported for a while.

 -- Elena Grandi <elena@truelite.it>  Tue, 03 Jan 2023 13:07:42 +0100

octonet (10.0.8-1) buster; urgency=medium

  * Added support for Veyon auto-configuration

 -- Marco Marinello <mmarinello@fuss.bz.it>  Wed, 16 Mar 2022 23:21:19 +0100

octonet (10.0.7-1) buster; urgency=medium

  * Display number of successfull and unsuccessfull hosts in a run

 -- Marco Marinello <mmarinello@fuss.bz.it>  Wed, 09 Feb 2022 11:59:07 +0100

octonet (10.0.6-1) buster; urgency=critical

  * Configure logging per standard
  * Restart octonet service when upgraded

 -- Marco Marinello <mmarinello@fuss.bz.it>  Tue, 18 Jan 2022 15:12:05 +0100

octonet (10.0.5-2) buster; urgency=medium

  * Rebuild for buster

 -- Elena Grandi <elena@truelite.it>  Tue, 31 Aug 2021 11:50:48 +0200

octonet (10.0.5-1) buster; urgency=medium

  * Support for django 2.

 -- Elena Grandi <elena@truelite.it>  Fri, 27 Aug 2021 13:17:00 +0200

octonet (10.0.4-1) buster; urgency=medium

  * Upload to buster

 -- Elena Grandi <elena@truelite.it>  Thu, 27 Aug 2020 12:14:09 +0200

octonet (10.0.3-1) unstable; urgency=medium

  * Readding '-' to allowed chars in group names

 -- Simone Piccardi <piccardi@truelite.it>  Tue, 25 Aug 2020 10:39:20 +0200

octonet (10.0.2-1) testing; urgency=medium

  * Changed the interface for the SAMBA share create and edit pages.
  * When creating, the name is editable, and the path is forced to be
    /home/SAMBA/<name_of_the_share>, filled automatically
  * When editing, the name *and* the path are not editable
  * Both pages will pass down the data to octofussd, which will call
    the needed script
  * Italian translation of the new strings

 -- Mark Caglienzi <mark@truelite.it>  Tue, 24 Mar 2020 14:35:08 +0100

octonet (10.0.1-1) testing; urgency=medium

  * Add "last password change" and "next password change" data in the
    user detail page
  * Add a column in the user list page showing a green key for users
    that have a non-expired password and a red key for users that have
    an expired password
  * If the performances of the user list page becomes too sluggish after
    this change, the modification is easily removed by reverting the unique
    commit that introduces it
  * Fix a bug in the create user page: now Octonet does not crash anymore
    there

 -- Mark Caglienzi <mark@truelite.it>  Mon, 23 Mar 2020 15:52:36 +0100

octonet (10.0.0-1) testing; urgency=medium

  * Version bump to 10.x.x
  * The 'Force password change' button is removed and the function is
    done via a boolean field in the form.

 -- Mark Caglienzi <mark@truelite.it>  Thu, 12 Mar 2020 16:27:42 +0100

octonet (0.2.62-1) testing; urgency=medium

  * Temporarily hide the lock and unlock desktop buttons in the cluster
    and host edit pages.

 -- Mark Caglienzi <mark@truelite.it>  Tue, 10 Mar 2020 12:58:53 +0100

octonet (0.2.61-1) testing; urgency=medium

  * Run a script to propagate network permissions

 -- Mark Caglienzi <mark@truelite.it>  Tue, 03 Mar 2020 16:29:22 +0100

octonet (0.2.60-1) testing; urgency=medium

  * Make the home field follow the changes in the username field when
    creating or editing a user, also in the form when there is some
    error(s) during POST.

 -- Mark Caglienzi <mark@truelite.it>  Tue, 25 Feb 2020 16:24:42 +0100

octonet (0.2.59-1) testing; urgency=medium

  * Bugfix: If the user chooses a password containing non-ascii chars
    octonet will show an error instead of giving a HTTP 500 error.

 -- Mark Caglienzi <mark@truelite.it>  Mon, 24 Feb 2020 16:52:48 +0100

octonet (0.2.58-1) testing; urgency=medium

  [ Enrico Zini ]
  * Open fuss manager in a new window.

 -- Elena Grandi <elena@truelite.it>  Thu, 16 Jan 2020 10:37:41 +0100

octonet (0.2.57-1) testing; urgency=medium

  * Disallow passwords that contain non-ASCII characters when creating or
    editing users, because non-ASCII passwords cause problems to http
    basic auth, that is used (for example) by squid.

 -- Mark Caglienzi <mark@truelite.it>  Wed, 11 Dec 2019 12:09:28 +0100

octonet (0.2.56-1) testing; urgency=medium

  * Fix logging configuration for buster.
  * Revert generation of FUSS_MANAGER_SECRET_KEY when installing

 -- Elena Grandi <elena@truelite.it>  Wed, 04 Dec 2019 11:26:23 +0100

octonet (0.2.55-1) testing; urgency=medium

  * Generate FUSS_MANAGER_SECRET_KEY when installing

 -- Elena Grandi <elena@truelite.it>  Fri, 22 Nov 2019 13:06:18 +0100

octonet (0.2.54-1) testing; urgency=medium

  [ Mark Caglienzi ]
  * Disallow uppercase characters in the name when creating Samba shares.
  * Allow only lowercase characters, numbers, dot, underscore for usernames

