## octonet 13.0.1

=== debian/changelog ===
octonet (13.0.1-1) unstable; urgency=medium

  * Hide the server field from the login page.

 -- Elena Grandi <elena@truelite.it>  Mon, 26 Jan 2026 10:53:42 +0100

octonet (13.0.0-1) unstable; urgency=medium

  * Compatibility with Django 4.2

 -- Elena Grandi <elena@truelite.it>  Tue, 07 May 2024 14:28:04 +0200
