=== debian/control ===
Source: octonet
Maintainer: The FUSS Team <packages@fuss.bz.it>
Section: python
Priority: optional
Build-Depends:
	debhelper-compat (= 12), dh-python,
	python3, python3-setuptools (>= 0.6b3),
	python3-django (>= 1.8), python3-octofuss (>= 1.6.6), python3-tz,
	python3-whitenoise
Standards-Version: 4.3.0
Homepage: https://work.fuss.bz.it/projects/octonet/

Package: octonet
Architecture: all
Depends:
	${misc:Depends}, ${python3:Depends},
        adduser,
        python3-django (>= 1.8),
        python3-whitenoise, python3-octofuss (>= 1.6.6),
	gunicorn3, python3-gevent,
Recommends: ${misc:Recommends}
Description: OctoNet
