=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=octonet
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/octonet/ --install-scripts=/usr/share/octonet/
export PYBUILD_AFTER_INSTALL=rm -f '{destdir}/usr/share/octonet/octonet/local_settings.py'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_build:
	python3 manage.py compilemessages
	dh_auto_build


srcname = octonet
version = $(shell sed -nre "s/.*version[ ]*=[ ]*['\"]([^'\"]+)['\"].*/\1/p" setup.py)

debsrc:
	python3 setup.py sdist
	mv dist/$(srcname)-$(version).tar.gz ../$(srcname)_$(version).orig.tar.gz
	rmdir dist
	dpkg-buildpackage -S -us -uc -d
