## octonet 13.0.2

=== debian/changelog ===
octonet (13.0.2-1) unstable; urgency=medium

  * Allow forcing a password change for any kind of user.

 -- Elena Grandi <elena@truelite.it>  Wed, 18 Feb 2026 11:20:51 +0100
